Upgrade Failure on 2.5 -> 3.0.3
Posted by: pjb (---.try.wideopenwest.com)
Date: March 10, 2018 05:00PM

I have been running Wampserver 2.5
I want to upgrade to the latest version, so here's what I did:

* Followed instructions at [wampserver.aviatechno.net]
* Updated all VC Distributions and ran the check_vcredist.exe program with success
* I upgraded to version 3.0.3 as instructed
* During installation, it wanted to install into c:\wamp64. My wamp is in c:\wamp (it is a 64-bit version though), so I changed it to c:\wamp.
* After installing, my php.ini in c:\wamp\bin\apache\apache2.4.9\bin\php.ini disappeared.
* Wampserver icon in taskbar is red and says "None of 2 services running."
* But I can see in services.msc that both wampmysqld64 and wampapache64 are both running.
* And I can see the Wampserver home page with all of my projects and aliases, etc.
* But when I try to run my site, I get an error saying that mysql_init() is not a valid function even though Wampserver says that the mysqli extension is loaded for php and phpinfo() says mysqlnd is installed.
* phpinfo() also says that the loaded configuration file is (none) rather than my php.ini

WTF, Wampserver? I thought this was supposed to be an in-place upgrade? The instructions clearly say, "your local sites and databases will not be affected."

1. How do I get the icon to stop being red?
2. Where does Wampserver expect to find php.ini now? Did it delete mine just out of spite or is there a reason?
3. How do I get Wampserver to load my php.ini file?
4. How do I get Wampserver to recognize that mysqlnd is loaded?
4. Why is it that EVERY SINGLE TIME I upgrade Wampserver, it's a complete clusterfuck?

Oh, also, the Wampserver homepage wouldn't show the MySQL version because wampmanager.conf was missing a space after the equals sign (sigh).

Options: ReplyQuote
Re: Upgrade Failure on 2.5 -> 3.0.3
Posted by: Otomatic (Moderator)
Date: March 10, 2018 06:23PM

Hi,

The instructions also state very clearly:
“Despite all the testing, errors may exist, therefore make a backup or the entire \wamp\ folder somewhere safe”

Updates 2.5 -> 3.0.3 were compiled and tested two years ago. I'm not going to have fun doing them again now.
Since you have backed up your wampserver 2.5 installation, you can restore it, simply delete the two wampapache and wampmysqld services and reinstall them, staller with version 2.5 reinstalled.

You can try also :
Left-Click -> Apache -> Service -> Stop service
Left-Click -> Apache -> Service -> Remove service
Same things for MySQL service.
Then see in services.msc that there is no wampapache or wampmysqld (with 64 suffix for 64 bit version).
If there is service, you have to remove it by command windows with
sc delete servicename

After :
Left-Click -> Apache -> Service -> Install servcie
Same for MySQL
Left-Click -> Start all services

Right-Click -> Refresh.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.5 32 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
Wampserver 3.1.5 64 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
PhPMyadmin 4.8.3 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 1 time(s). Last edit at 03/10/2018 06:47PM by Otomatic.

Options: ReplyQuote


Sorry, only registered users may post in this forum.